package com.itjob.javaadvanced;
import java.io.IOException; 
import java.io.PipedOutputStream;

/**
 * 第3章 Java的高级特性考题
 * 使用管道流进行编程实例：管道输出流发送消息“Hello! Amigo.”，管道输入流接收到信息后打印出来
 * 管道输出流(用于进行发送)
 * @author AmigoXie
 */
class PipeSender implements Runnable { 
    private PipedOutputStream pos = null;
    public PipeSender() { 
        this.pos = new PipedOutputStream();
    }
    
    public void run() { 
        String str = "Hello! Amigo."; 
        try { 
        	// 发送信息
            this.pos.write(str.getBytes());
        } catch (IOException e) { 
            e.printStackTrace(); 
        } 
        try { 
        	// 关闭输出流 
            this.pos.close(); 
        } catch (IOException e) { 
            e.printStackTrace(); 
        } 
    }
    public PipedOutputStream getPos() {
        return pos; 
    } 
}
